> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Caricare un file del blueprint

<div id="permissions">
  ## Autorizzazioni
</div>

Richiede un utente di servizio con l'autorizzazione `ManageRepoBlueprints` a livello di organizzazione.

<div id="behavior">
  ## Comportamento
</div>

Carica un file nel blueprint. I file vengono richiamati nel file YAML del blueprint e resi disponibili durante le snapshot build.


## OpenAPI

````yaml it/v3-openapi.yaml POST /v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files
openapi: 3.1.0
info:
  description: API Devin v3 con autenticazione utente di servizio e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files:
    post:
      tags:
        - snapshot_setup
      summary: Caricare un file del blueprint
      operationId: >-
        upload_org_blueprint_file_v3beta1_organizations__org_id__snapshot_setup_blueprints__blueprint_id__files_post
      parameters:
        - in: path
          name: blueprint_id
          required: true
          schema:
            title: Blueprint Id
            type: string
        - description: 'ID dell''organizzazione (prefisso: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: name
          required: true
          schema:
            title: Name
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_org_blueprint_file_v3beta1_organizations__org_id__snapshot_setup_blueprints__blueprint_id__files_post
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlueprintFile'
          description: Risposta riuscita
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
components:
  schemas:
    Body_upload_org_blueprint_file_v3beta1_organizations__org_id__snapshot_setup_blueprints__blueprint_id__files_post:
      properties:
        file:
          format: binary
          title: File
          type: string
      required:
        - file
      title: >-
        Body_upload_org_blueprint_file_v3beta1_organizations__org_id__snapshot_setup_blueprints__blueprint_id__files_post
      type: object
    BlueprintFile:
      description: Forma pubblica della risorsa ``BlueprintFile``.
      properties:
        blueprint_id:
          title: Blueprint Id
          type: string
        created_at:
          title: Created At
          type: integer
        env_var_name:
          title: Env Var Name
          type: string
        file_id:
          title: File Id
          type: string
        name:
          title: Name
          type: string
        size_bytes:
          title: Size Bytes
          type: integer
        updated_at:
          title: Updated At
          type: integer
      required:
        - file_id
        - blueprint_id
        - name
        - env_var_name
        - size_bytes
        - created_at
        - updated_at
      title: BlueprintFile
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credenziale dell''utente del servizio (prefisso: cog_)'
      scheme: bearer
      type: http

````